GOLF(2gg)

NAME
close-file - (files)

PURPOSE
Close file.

SYNTAX

        close-file file-id <file id> \
            [ status <status> ]

DESCRIPTION
close-file closes file <file id> previously opened with open-file, where <file id> is an open file identifier.

You can obtain the status of file closing via <status> number (in "status" clause). The <status> is GG_OKAY if file is closed, or GG_ERR_CLOSE if could not close file.

If you do not close a file opened with open-file, Golf will automatically close it when the request ends.

EXAMPLES
See open-file.

SEE ALSO
 Files

change-mode close-file copy-file delete-file file-position file-storage file-uploading lock-file open-file read-file read-line rename-file stat-file temporary-file uniq-file unlock-file write-file See all documentation